]> https://gitweb.dealii.org/ - dealii.git/commitdiff
CI: run checkdoxygen.py for each PR 9542/head
authorTimo Heister <timo.heister@gmail.com>
Mon, 17 Feb 2020 19:15:34 +0000 (14:15 -0500)
committerTimo Heister <timo.heister@gmail.com>
Sat, 29 Feb 2020 15:51:02 +0000 (10:51 -0500)
Jenkinsfile
contrib/utilities/check_doxygen.sh [new file with mode: 0755]
contrib/utilities/check_indentation.sh

index d74d75a8e144e261d497acdc0493d7ca81d032db..104f07519ad88c7e8d716abe72c9fff0d9d57bbc 100644 (file)
@@ -123,6 +123,10 @@ pipeline
           timeout(time: 6, unit: 'HOURS')
           {
             sh "echo \"building on node ${env.NODE_NAME}\""
+           sh '''#!/bin/bash
+              cd $WORKSPACE/
+              ./contrib/utilities/check_doxygen.sh
+            '''
             sh '''#!/bin/bash
                set -e
                export NP=`grep -c ^processor /proc/cpuinfo`
diff --git a/contrib/utilities/check_doxygen.sh b/contrib/utilities/check_doxygen.sh
new file mode 100755 (executable)
index 0000000..b6ccfa2
--- /dev/null
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+if [ ! -f contrib/utilities/checkdoxygen.py ]; then
+  echo "*** This script must be run from the top-level directory of deal.II."
+  exit 1
+fi
+
+
+find doc examples include \( -name "*.h" -o -name "*.dox" \) -print | xargs -n 1 contrib/utilities/checkdoxygen.py
index 7c9fde0e5e90ce290099efc8756e8ee4dfb70a02..6ea739e9d17fa617b2588d3f988450ef2fdf1782 100755 (executable)
@@ -37,3 +37,5 @@ fi
 ./contrib/utilities/indent-all || exit $?
 git diff
 git diff-files --quiet 
+
+./contrib/utilities/check_doxygen.sh || exit $?

In the beginning the Universe was created. This has made a lot of people very angry and has been widely regarded as a bad move.

Douglas Adams


Typeset in Trocchi and Trocchi Bold Sans Serif.